<?php
session_start();
require_once('../Operaciones/Cliente_operacion.php');
require_once('../Operaciones/Class_Fecha.php');

if(isset($_SESSION['Login'])){
$Id	=$_SESSION['Login'];
$Id_Acc = $_SESSION['Acceso'];
}else {
	session_start();
	session_destroy();
	header('location: ../Salir.php');
}

require_once('../../fpdf/fpdf.php');
$Folio =$_GET['F'];

function Soli($Val){
	if($Val==0){
		$Tit='Restaurar';
	}elseif($Val==1){
		$Tit='Cancelar';
	}elseif($Val==2){
		$Tit='Activar';
	}elseif($Val==3){
		$Tit='Cambiar lista de Aretes';
	}elseif($Val==4){
		$Tit='Borrar Archivo Guia';
	}
	return($Tit);
}


//class Sol_Oficio extends FPDF

class Sol_Oficio extends FPDF
{
// Page header

function Header()
{
	$this->Image('../Diseno/Fondo_III.jpg',5,50,180);
	$this->Image('../Diseno/Fondo_III.jpg',5,170,100);
	$this->Image('../Diseno/Fondo_III.jpg',100,200,100);
	$this->SetFont('Arial','B',12);
	$this->SetXY(100,50);
	$this->Cell(100,8, utf8_decode('Asunto: Solicitud de actualización de folios') ,0,0,'R');
	$this->SetXY(10,64);
	$this->Cell(50,8, 'P R E S E N T E :' ,0,0,'L');
	$this->SetXY(10,76);
	$this->SetFont('Arial','',11);
	$this->MultiCell(190,8,utf8_decode('Por este conducto me dirijo a ustedes, con la finalidad de solicitar, la revisión del Folio aqui mencionado, con el objetivo de asegurar que la información que se encuentra en el sistema sea la misma con la cual tenemos.'));
}

function Fin_Doc(){
	$this->SetFont('Arial','',11);
	$this->ln(10);
	$this->MultiCell(190,8,utf8_decode('Esperando recibir una respuesta favorable a nuestra petición nos despedimos agradeciendo de su apoyo y colaboración, Quedamos a sus ordenes.'));
	$this->ln(20);
	$this->Cell(190,6,'_______________________________________',0,0,'C');
	//$this->Image('../Diseno/Fondo_III.jpg',5,50,180);
	
}
function Folio_Soli($Folio,$Solicitud,$Obs)
{
	$this->setFillColor(230,230,230); 
	$this->SetFont('Arial','',11);
	$this->SetXY(20,105);
	$this->Cell(50,8, 'Folio' ,1,1,'C',1);
	$this->SetXY(20,113);
	$this->Cell(50,8, $Folio ,1,0,'C');
	$this->SetXY(20,121);
	$this->Cell(50,8, 'Solicitud' ,1,1,'C',1);
	$this->SetXY(20,129);
	$this->Cell(50,8, $Solicitud ,1,1,'C');
	$this->SetXY(70,105);
	$this->Cell(120,8,'Observaciones' ,1,1,'C',1);
	$this->SetXY(70,113);
	$this->SetFont('Arial','',8);
	$this->MultiCell(120,6, utf8_decode($Obs),1,'J');
	$this->SetXY(20,137);
}
// Page footer

function Lista_Aretes($Folio)
{
	$this->SetFont('Arial','',11);
	$Aretes = new Cliente_P();
	$resultado=$Aretes->Rep_Aretes($Folio);
	$this->Line(43,144,165,144);
	$this->SetXY(84,141);
	$this->Cell(35,6,' = Lista de Aretes = ' ,1,1,'C',1);
	$this->SetXY(16,148);
	$this->SetFont('Arial','',8);
	$this->Cell(14,4,'Anterior' ,1,1,'C',1);
	$this->SetXY(16,158);
	$this->Cell(14,4,'Nuevo' ,1,1,'C');
	$this->SetFont('Arial','',11);
	$X=30;
	$Y=148;
	
	while ($row=$resultado->fetch_assoc()){
		$this->SetXY($X,$Y);
		$this->Cell(30,8,$row['Arete_Ant'],1,0,'C',1);
		$this->SetXY($X,$Y+8);
		$this->Cell(30,8,$row['Arete_Nuevo'],1,0,'C');
		$X+=30;
	}
		$this->ln(10);
	
}	

function Footer()
{
    // Position at 1.5 cm from bottom
    $this->SetY(-15);
    // Arial italic 8
    $this->SetFont('Arial','I',8);
    // Page number
    $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
}

function Logo_Pag($Id_Acc)
{
	$Ruta = new Cliente_P();
	$Ruta = $Ruta->Acceso($Id_Acc);
	$Nombre=$Ruta['nombre'];
	$Ruta= "../Hist_Folios/".$Ruta['Ruta']."/Logo.jpg";	
	$Ruta_Log= (!file_exists($Ruta) ? "../Diseno/Pendiente.jpg" : $Ruta );
	$this->Image($Ruta_Log,10,6,50); //* * Logo * *
	$Fecha_Hoy = new Fechas_Form(date('Y-m-d'));	
	$this->SetFont('Arial','B',12);
	$this->SetXY(110,40);
	$this->Cell(90,8,$Nombre.' '.$Fecha_Hoy->Fecha_DMA() ,0,0,'R');
	
}
}

// Instanciation of inherited class
$pdf = new Sol_Oficio();
$pdf->AliasNbPages();
$pdf->AddPage();
$Reporte = new Cliente_P();
$dato=$Reporte->Bus_Rep($Folio,$Id);
$pdf->Logo_Pag($Id_Acc);
//$pdf->Fecha_Mun($dato['nombre']);

$pdf->SetFont('Arial','',14);
$pdf->SetTextColor(255,0,0,1);
$pdf->SetXY(170,10);
$pdf->Cell(30,10,'Folio : '.str_pad($Folio,4,"0",STR_PAD_LEFT),1,1,'C');
$pdf->SetTextColor(0,0,0,0);
$pdf->SetFillColor(153,255,100);

$Obs=($dato['Observaciones']=='' ? ' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * ' : $dato['Observaciones'] );
$Solicitud=Soli($dato['Solicitud']);
$pdf->Folio_Soli($dato['Folio'],$Solicitud,$Obs);
// Rutina de Aretes //
if ($dato['Solicitud']==3)$pdf->Lista_Aretes($Folio);
// Fin Rutina //
$pdf->Fin_Doc();
$pdf->Output();